Accept the expected result of a test ticket
curl --request PATCH \
--url https://demo.enneo.ai/api/mind/aiQualityCheck/testRun/{testRunId}/acceptExpectedResult/{ticketId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Test ticket expected result accepted successfully",
"testTicket": {
"id": 123,
"testRunId": 123,
"testCaseId": 123,
"ticketId": 123,
"aiAgentId": "<string>",
"config": {},
"expectedResult": {
"contractId": "123456",
"inputParameters": {
"change_meter_reading": {
"_action": null,
"requestedDeposit": 35
}
},
"intentDetection": [
"change_meter_reading",
"change_payment_method"
],
"outcomeActions": {
"change_meter_reading": [
"Update ERP System",
"Inform Customer change is not possible"
]
},
"outcomeNotifications": {
"change_meter_reading": [
"Meter reading is plausible"
]
},
"outcomeText": {
"change_meter_reading": null
},
"outcomeType": {
"change_meter_reading": "interaction"
},
"sentiment": "disappointed",
"tags": [
"sales",
"marketing"
],
"aiSupportLevel": "human",
"sources": {
"change_meter_reading": [
{
"type": "ticket",
"id": "123",
"summary": "Similar case"
},
{
"type": "faq",
"id": "456",
"title": "How to change meter reading"
}
]
},
"error": null
},
"actualResult": {
"contractId": "123456",
"inputParameters": {
"change_meter_reading": {
"_action": null,
"requestedDeposit": 35
}
},
"intentDetection": [
"change_meter_reading",
"change_payment_method"
],
"outcomeActions": {
"change_meter_reading": [
"Update ERP System",
"Inform Customer change is not possible"
]
},
"outcomeNotifications": {
"change_meter_reading": [
"Meter reading is plausible"
]
},
"outcomeText": {
"change_meter_reading": null
},
"outcomeType": {
"change_meter_reading": "interaction"
},
"sentiment": "disappointed",
"tags": [
"sales",
"marketing"
],
"aiSupportLevel": "human",
"sources": {
"change_meter_reading": [
{
"type": "ticket",
"id": "123",
"summary": "Similar case"
},
{
"type": "faq",
"id": "456",
"title": "How to change meter reading"
}
]
},
"error": null
},
"rawResult": {},
"outcome": {}
}
}AI Quality Check
Accept the expected result of a test ticket
Set the expected value for specific ticket in a run to the observed value. This also updates the expected results for all future runs, and updates the statistics of the test run.
PATCH
/
aiQualityCheck
/
testRun
/
{testRunId}
/
acceptExpectedResult
/
{ticketId}
Accept the expected result of a test ticket
curl --request PATCH \
--url https://demo.enneo.ai/api/mind/aiQualityCheck/testRun/{testRunId}/acceptExpectedResult/{ticketId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Test ticket expected result accepted successfully",
"testTicket": {
"id": 123,
"testRunId": 123,
"testCaseId": 123,
"ticketId": 123,
"aiAgentId": "<string>",
"config": {},
"expectedResult": {
"contractId": "123456",
"inputParameters": {
"change_meter_reading": {
"_action": null,
"requestedDeposit": 35
}
},
"intentDetection": [
"change_meter_reading",
"change_payment_method"
],
"outcomeActions": {
"change_meter_reading": [
"Update ERP System",
"Inform Customer change is not possible"
]
},
"outcomeNotifications": {
"change_meter_reading": [
"Meter reading is plausible"
]
},
"outcomeText": {
"change_meter_reading": null
},
"outcomeType": {
"change_meter_reading": "interaction"
},
"sentiment": "disappointed",
"tags": [
"sales",
"marketing"
],
"aiSupportLevel": "human",
"sources": {
"change_meter_reading": [
{
"type": "ticket",
"id": "123",
"summary": "Similar case"
},
{
"type": "faq",
"id": "456",
"title": "How to change meter reading"
}
]
},
"error": null
},
"actualResult": {
"contractId": "123456",
"inputParameters": {
"change_meter_reading": {
"_action": null,
"requestedDeposit": 35
}
},
"intentDetection": [
"change_meter_reading",
"change_payment_method"
],
"outcomeActions": {
"change_meter_reading": [
"Update ERP System",
"Inform Customer change is not possible"
]
},
"outcomeNotifications": {
"change_meter_reading": [
"Meter reading is plausible"
]
},
"outcomeText": {
"change_meter_reading": null
},
"outcomeType": {
"change_meter_reading": "interaction"
},
"sentiment": "disappointed",
"tags": [
"sales",
"marketing"
],
"aiSupportLevel": "human",
"sources": {
"change_meter_reading": [
{
"type": "ticket",
"id": "123",
"summary": "Similar case"
},
{
"type": "faq",
"id": "456",
"title": "How to change meter reading"
}
]
},
"error": null
},
"rawResult": {},
"outcome": {}
}
}Authorizations
bearerAuthcookieAuth
JWT-based authentication
Response
Successful operation
Update the expected result of a test ticket
Previous
Accept ALL the expected results of for a test run
Next
⌘I